VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::content::SubscribedLibraryDefinitions Class Reference

Defines the type descriptors for the SubscribedLibrary API service. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | probeResult
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | createInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | createOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | deleteInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | deleteOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | evictInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | evictOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | get_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | get_Output
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | listInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | listOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | syncInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | syncOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | updateInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | updateOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | probeInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | probeOutput

## Detailed Description

Defines the type descriptors for the SubscribedLibrary API service.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::SubscribedLibraryDefinitions::createInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("client_token", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("create_spec", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.content.StructDefinitions.libraryModel.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::content::SubscribedLibraryDefinitions::createOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.IdType("com.vmware.content.Library");
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::SubscribedLibraryDefinitions::deleteInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("library_id", new vmware.vapi.bindings.type.IdType("com.vmware.content.Library"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::content::SubscribedLibraryDefinitions::deleteOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::SubscribedLibraryDefinitions::evictInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("library_id", new vmware.vapi.bindings.type.IdType("com.vmware.content.Library"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::content::SubscribedLibraryDefinitions::evictOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::SubscribedLibraryDefinitions::get_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("library_id", new vmware.vapi.bindings.type.IdType("com.vmware.content.Library"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::content::SubscribedLibraryDefinitions::get_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.content.StructDefinitions.libraryModel.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::SubscribedLibraryDefinitions::listInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::content::SubscribedLibraryDefinitions::listOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.IdType("com.vmware.content.Library"));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::SubscribedLibraryDefinitions::probeInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("subscription_info", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.content.library.StructDefinitions.subscriptionInfo.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::content::SubscribedLibraryDefinitions::probeOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.content.SubscribedLibraryDefinitions.probeResult.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::SubscribedLibraryDefinitions::probeResult`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("status", new vmware.vapi.bindings.type.EnumType(typeof(vmware.content.SubscribedLibraryTypes.ProbeResult.Status)));
                    fields.Add("ssl_thumbprint", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("error_messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.content.subscribed_library.probe_result", fields, typeof(vmware.content.SubscribedLibraryTypes.ProbeResult), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::SubscribedLibraryDefinitions::syncInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("library_id", new vmware.vapi.bindings.type.IdType("com.vmware.content.Library"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::content::SubscribedLibraryDefinitions::syncOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::SubscribedLibraryDefinitions::updateInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("library_id", new vmware.vapi.bindings.type.IdType("com.vmware.content.Library"));
                    fields.Add("update_spec", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.content.StructDefinitions.libraryModel.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::content::SubscribedLibraryDefinitions::updateOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

The documentation for this class was generated from the following file:

- SubscribedLibraryDefinitions.cs